aboutsummaryrefslogtreecommitdiff
path: root/examples/lvmpbuilder/lib/lvmbuilder-unimplemented
diff options
context:
space:
mode:
Diffstat (limited to 'examples/lvmpbuilder/lib/lvmbuilder-unimplemented')
-rwxr-xr-xexamples/lvmpbuilder/lib/lvmbuilder-unimplemented51
1 files changed, 51 insertions, 0 deletions
diff --git a/examples/lvmpbuilder/lib/lvmbuilder-unimplemented b/examples/lvmpbuilder/lib/lvmbuilder-unimplemented
new file mode 100755
index 0000000..cda4816
--- /dev/null
+++ b/examples/lvmpbuilder/lib/lvmbuilder-unimplemented
@@ -0,0 +1,51 @@
+#! /bin/bash
+# This documents those features of pbuilder that are unimplemented in lvmbuilder
+# lvmbuilder -- Debian package builder using LVM
+# Copyright (C) 2007 Kapil Hari Paranjape
+# based on:
+# pbuilder -- personal Debian package builder
+# Copyright (C) 2001-2006 Junichi Uekawa
+#
+# This program is free software; you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation; either version 2 of the License, or
+# (at your option) any later version.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with this program; if not, write to the Free Software
+# Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA
+
+set -e
+
+# Currently we only warn if some unimplemented option or variable
+# is given on the lvmbuilder command line.
+function warn_option(){
+ OP=$1;
+ echo "W: Cannot use variable pbuilder option/variable $OP with lvmbuilder" >&2
+}
+# This portion is not yet used but lists the unimplemented or
+# undefined variables.
+LVMBADVARS=("APTCACHEHARDLINK" \
+ "HOOKDIR" \
+ "BASETGZ" \
+ "PRESERVE_BUILDPLACE" \
+ "BINDMOUNTS" \
+ "CHROOTEXEC" \
+ "INTERNAL_BUILD_UML" \
+ "IGNORE_UMOUNT")
+
+function unimplemented(){
+ for var in "${LVMBADVARS[@]}"
+ do
+ if [ -n "${!var}" ]
+ then
+ echo "W: Cannot use variable $var with lvmbuilder." >&2
+ fi
+ done
+}
+